package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 活动金 - 限制参与类型
 */
public enum RebateActivityPartakeTypeEnum {
    type1(1, "每日"),
    ;

    private Integer number;

    private String name;

    RebateActivityPartakeTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static RebateActivityPartakeTypeEnum getDataByNumber(Integer number) {
        for (RebateActivityPartakeTypeEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
